## maemo-af-desktop 1.72.0

=== debian/changelog ===
maemo-af-desktop (1.72.0) unstable; urgency=low

  *  Fixed N#21656

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  7 Dec 2005 15:05:41 +0200

maemo-af-desktop (1.71.2) unstable; urgency=low

  * Removed (again) the creation of /etc/others-menu/2200_tana_fi_extra

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  5 Dec 2005 16:20:57 +0200

maemo-af-desktop (1.71.1) unstable; urgency=low

  * Reverted previous commit, wait for PE2
  * Removed the use of maemo-launcher for maemo-af-desktop

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  5 Dec 2005 14:10:27 +0200

maemo-af-desktop (1.71.0) unstable; urgency=low

  * Fixed 20921

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  5 Dec 2005 14:10:27 +0200

maemo-af-desktop (1.69.5) unstable; urgency=low

  * Removed MAEMO_LAUNCHER_CFLAGS from the compilation flags used
    for home-image-loader

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  2 Dec 2005 19:33:13 +0200

maemo-af-desktop (1.69.4) unstable; urgency=low

  * Do not use maemo-launcher on hildon-home-image-loader

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  2 Dec 2005 16:37:14 +0200

maemo-af-desktop (1.69.3) unstable; urgency=low

  * Corrected yet another typo in hildon-navigator/Makefile.in

 -- Karoliina Salminen <karoliina@localhost.localdomain>  Wed, 30 Nov 2005 17:24:17 +0200

maemo-af-desktop (1.69.2) unstable; urgency=low

  * Corrected typo

 -- Karoliina Salminen <karoliina@localhost.localdomain>  Wed, 30 Nov 2005 14:46:08 +0200

maemo-af-desktop (1.69.1) unstable; urgency=low

  * Patched bug 20623

 -- Karoliina Salminen <karoliina@localhost.localdomain>  Wed, 30 Nov 2005 11:42:23 +0200

maemo-af-desktop (1.69.0) unstable; urgency=low

  * Reverted bugfix 18679.

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 30 Nov 2005 10:27:28 +0200

maemo-af-desktop (1.68.0) unstable; urgency=low

  * Fixed N#21077 Glib warnings from Desktop
  * Fixed N#19534 Invalid write in Desktop

 -- Johan Bilien <jobi@localhost.localdomain>  Mon, 28 Nov 2005 17:24:31 +0200

maemo-af-desktop (1.67.1) unstable; urgency=low

  * Fixed a typo in debian/rules which prevented installation
    when maemo-invoker is used

 -- Johan Bilien <jobi@localhost.localdomain>  Mon, 28 Nov 2005 09:15:38 +0200

maemo-af-desktop (1.67.0) unstable; urgency=low

  * Attempt at fixing N#20224

 -- Johan Bilien <jobi@localhost.localdomain>  Fri, 25 Nov 2005 15:52:31 +0200

maemo-af-desktop (1.66.0) unstable; urgency=low

  * Fixed bug N#18679 - maemo-af-desktop should not include
    /etc/others-menu/2200_tana_fi_extra

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 24 Nov 2005 16:38:14 +0200

maemo-af-desktop (1.65.0) unstable; urgency=low

  * Corrected a problem caused by my incomplete fix for SDK

 -- Karoliina Salminen <karoliina@localhost.localdomain>  Fri, 18 Nov 2005 12:08:08 +0200

maemo-af-desktop (1.64.0) unstable; urgency=low

  * Maintenance version update. Patched bug N#18257

 -- Karoliina Salminen <karoliina@localhost.localdomain>  Tue, 15 Nov 2005 13:39:35 +0200

maemo-af-desktop (1.63.0) unstable; urgency=low

  * Patched bug N#18881

 -- Karoliina Salminen <karoliina@localhost.localdomain>  Mon,  7 Nov 2005 12:34:23 +0200

maemo-af-desktop (1.62.1) unstable; urgency=low

  * Updated version, incorrect version in previous version

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed,  2 Nov 2005 13:51:38 +0200

maemo-af-desktop (1.61.2) unstable; urgency=low

   * Reverted incomplete bug fix

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 26 Oct 2005 20:19:42 +0300

maemo-af-desktop (1.61.1) unstable; urgency=low

  * Patched PE bug 20384

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 26 Oct 2005 20:17:25 +0300

maemo-af-desktop (1.61.0) unstable; urgency=low

  * Corrected copyright texts in Makefiles.
  * configure.ac -> 1.61.0

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Tue, 25 Oct 2005 16:54:48 +0300

maemo-af-desktop (1.60.3) unstable; urgency=low

  * Bug fixed:
    N#19187 Application icon is not visible in Tasknavigator although
            application is running.

 -- Luc Pionchon <luc.pionchon@nokia.com>  Wed, 19 Oct 2005 14:56:23 +0300

maemo-af-desktop (1.60.2) unstable; urgency=low

  * applied patch to N#19614 Memory leaks in Statusbar
    hildon_status_bar_item_new()

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Fri, 14 Oct 2005 17:19:06 +0300

maemo-af-desktop (1.60.1) unstable; urgency=low

  * Patched 20250 again with postinstfix

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Fri, 14 Oct 2005 14:31:44 +0300

maemo-af-desktop (1.60.0) unstable; urgency=low

  * Preparing for next integration round, increased version number to
    1.60.0. Patched bug 20305

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Thu, 13 Oct 2005 16:24:50 +0300

maemo-af-desktop (1.59.3) unstable; urgency=low

  * Changed deps again, libosso >= 0.9.19+

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Thu, 13 Oct 2005 15:17:40 +0300

maemo-af-desktop (1.59.2) unstable; urgency=low

  * Reverted previous ugly hack

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Thu, 13 Oct 2005 14:03:49 +0300

maemo-af-desktop (1.59.1) unstable; urgency=low

  * Fixed libosso version inconsistency problem with a workaround by
    reverting the dependency in configure.ac to the older package
    version

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Thu, 13 Oct 2005 13:43:03 +0300

maemo-af-desktop (1.59.0) unstable; urgency=low

  * Patched bug 20250

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 12 Oct 2005 16:33:10 +0300

maemo-af-desktop (1.58.7) unstable; urgency=low

  * Added Doxygen comments and doxyconf-file

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 12 Oct 2005 16:17:36 +0300

maemo-af-desktop (1.58.6) unstable; urgency=low

  * Ready for integration

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 12 Oct 2005 14:59:21 +0300


