=== debian/control ===
Source: maemo-af-desktop
Section: x11
Priority: optional
Maintainer: Karoliina Salminen <karoliina.t.salminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev (>= 0.7.1), hildon-lgpl-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, libmatchbox-dev, osso-af-settings, hildon-base-lib-dev (>= 0.9.3), shared-mime-info, libosso-common-error-dev (>= 0.1.6-2)
Standards-Version: 3.6.0
 
Package: maemo-af-desktop
Section: x11
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, maemo-af-desktop-l10n-4.1-engb | maemo-af-desktop-l10n-4.1-english, hildon-libs0 (>= 0.7.1), hildon-base-lib0 (>= 0.9.3), matchbox-window-manager, hildon-status-bar-lib0 (=${Source-Version}), shared-mime-info, default-backgrounds-config, libosso-common-error0 (>= 0.1.6-2)
Conflicts: hildon-base, hildon-navigator, hildon-status-bar, hildon-home, home-image-loader
Replaces: hildon-base, hildon-navigator, hildon-status-bar, hildon-home, hildon-image-loader
Provides: hildon-navigator, hildon-status-bar, hildon-home, home-image-loader
Description: Maemo AF Desktop

Package: hildon-status-bar-lib0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: hildon-status-bar-lib
Replaces: hildon-status-bar-lib
Description: Hildon Status Bar library

Package: hildon-status-bar-lib-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-status-bar-lib0 (=${Source-Version}), hildon-libs-dev
Description: Hildon Status Bar development files

Package: hildon-navigator-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config, hildon-libs-dev
Description: Hildon Tasknavigator development files

Package: hildon-home-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config, libgtk2.0-dev, hildon-libs-dev
Conflicts: hildon-base
Description: Hildon Home development files
