## maemo-af-desktop 2.6.40-1

=== debian/changelog ===
maemo-af-desktop (2.6.40-1) unstable; urgency=low

  * hildon-home/layout-mode.c: Apply same fix as previous one when
    adding applets when already in layout mode.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 21 Sep 2006 14:03:24 +0300

maemo-af-desktop (2.6.39-1) unstable; urgency=low

  * hildon-home/layout-mode.c: Have the Accept, Cancel and Select Applets
    menu item be unsensitive until we have put all applets in layout mode
    Fixes: NB#35449, Fixes NB#39948, Fixes NB#39947

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 19 Sep 2006 13:15:32 +0300

maemo-af-desktop (2.6.38-1) unstable; urgency=low

  * hildon-navigator/others-menu.c:
    Fix memory leak in others_menu_initialize_menu().
    Fixes: NB#34218

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 14 Sep 2006 17:58:39 +0300

maemo-af-desktop (2.6.37-1) unstable; urgency=low

  * hildon-home/home-select-applets-dialog.c: Fixed the leak of
    a GList and its content (Closes NB#37216)

  * hildon-home/applet-manager.c: Inlined trivial function
  * hildon-home/layout-manager.c: Fixed the leak of a GList
    (Closes NB#38148)

  * hildon-home/hildon-home-main.c:
    - make cp applets launched from home to be transient to home
      (Closes NB#37866)

  * hildon-home/hildon-home-main.c:
    - Fixed a potential crash when resetting default background
      (Closes NB#37867)
    - Fixed selection of the default background

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 31 Aug 2006 11:28:22 +0300

maemo-af-desktop (2.6.36-1) unstable; urgency=low

  * Applied patch for PE2 bug N#32292

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 16 Aug 2006 13:24:52 +0300

maemo-af-desktop (2.6.35-1) unstable; urgency=low

  Applied fix to "Observed reboot when selecting/de-selecting different
  applets continuously." (Closes NB#35449)
  * hildon-home/layout-mode.c: don't make the Ok/Cancel sensitive until
    all applets are loaded

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  1 Aug 2006 15:08:02 +0300

maemo-af-desktop (2.6.34-1) unstable; urgency=low

  Applied further fix to "Wrong task icon selected after Close applications
  dialog" (Closes NB#32199)
  * hildon-navigator/hn-wm-watched-window.c: If no view is set to active,
    use the first one.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 24 Jul 2006 13:30:26 +0300

maemo-af-desktop (2.6.33-1) unstable; urgency=low

  Applied fix to "Not possible to switch between mail editor and default
  mailbox window through application switcher of TN." (Closes N#32869)
  * hildon-navigator/hn-wm.c: Update the application switcher top button 
    with the correct view when a multi-view HildonApp is topped

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 13 Jul 2006 10:11:37 +0300

maemo-af-desktop (2.6.32-1) unstable; urgency=low

  Applied fix to "Wrong task icon selected after Close applications dialog"
  (Closes N#32199)
  * hildon-navigator/hn-wm-watched-window.c: When topping a "hibernated"
    window, update the application switcher manually

  Applied fix to "Application killing dialog does not come up when trying to
  witch to a non-responsive BG killed application" (Closes N#34080)
  * hildon-navigator/hn-wm-watched-window.c: Send a SIGKILL after
    a timeout if a SIGTERM was not sufficient to background-kill an
    application

    Applied fix to "Background killing works inconsistently."
  (Closes N#34090)
  * hildon-navigator/hn-wm-memory.c: fixed a bug in which the background
    killing would not always be activated

  Applied fix to "Double free in Desktop background killing" (Closes
  N#32740)
  * hildon-navigator/hn-wm-watched-window.c: avoid modifying the
    hibernating app hash table while iterating it

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  6 Jul 2006 17:07:08 +0300

maemo-af-desktop (2.6.31-1) unstable; urgency=low

  * Reverted doublefree fix because it was introducing side effects.
  * Applied patch for N#32791, the same issue was found both in IT2006 and IT2007 branches

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Mon, 19 Jun 2006 16:40:22 +0300

maemo-af-desktop (2.6.30-1) unstable; urgency=low

  * New mid-development commit. Contains fix proposals that are pending
    testing

 -- Karoliina Salminen <karoliina@localhost.localdomain>  Fri, 16 Jun 2006 18:05:20 +0300

maemo-af-desktop (2.6.29-1) unstable; urgency=low

  * hildon-navigator/application-switcher.c: gtk_widget_destroy
    the AS menu item instead of removing it from its container,
    to circumvent a bug in GTK (Closes N#31864)

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 14 Jun 2006 14:03:20 +0300

maemo-af-desktop (2.6.28-1) unstable; urgency=low

  * hildon-navigator/hn-wm-watched-window.c:
    - replaced gtk_dialog_run with a response signal handler
    - do not destroy the note in ping_cancel but send a CANCEL signal
    (Closes N#32482)

  * hildon-navigator/hn-wm.c: Give the AS vbox as owner of the launch
    banners
  * hildon-navigator/hn-wm-watchable-app.c: Use the parent argument
    when calling hildon_banner_show_animation (Closes N#32476)

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 13 Jun 2006 11:14:49 +0300

maemo-af-desktop (2.6.27-2) unstable; urgency=low

  * Added build-dependency on libxml2-dev 

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 12 Jun 2006 14:51:19 +0300

maemo-af-desktop (2.6.27-1) unstable; urgency=low

  Applied fix to "AF desktop doesn't show icon for execed (SDL) program"
  (Closes N#31559)
  * hildon-navigator/hn-wm.c: if NET_WM_WINDOW_TYPE is not set,
    check if a transiency is set, and if so assume dialog, otherwise
    assume normal window.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 12 Jun 2006 13:05:29 +0300

maemo-af-desktop (2.6.26-1) unstable; urgency=low

  * hildon-navigator/hn-wm.c:
    - Reverted faulty fix to N#22638 (Closes N#32199)
    - Do not alter AS positions after topping a service, wait for the TN
      to react to window map

