=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,32 @@
 
 CFLAGS = -Wall -g
 
+ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+   LAUNCHER = yes
+endif
+
+ifeq "$(strip $(LAUNCHER))" "yes"
+   LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
+   LAUNCHER_LDFLAGS = -shared
+endif
+
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb -fPIC
+endif
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
+endif
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -ggdb -DOSSOLOG_STDERR -DDEBUG
 endif
 
 # shared library versions, option 1
@@ -44,7 +63,7 @@
 	dh_testdir
 
 # Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
 	touch build-stamp
 
 clean:
@@ -67,13 +86,24 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+#	dh_clean -k 
 	dh_installdirs
 
 # Add here commands to install the package into debian/build
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
 	mkdir -p $(CURDIR)/debian/build/usr/share/mime/packages/
 	cp debian/maemo-af-desktop.xml $(CURDIR)/debian/build/usr/share/mime/packages/
+ifeq "$(strip $(LAUNCHER))" "yes"
+	mv debian/build/usr/bin/maemo_af_desktop debian/build/usr/bin/maemo_af_desktop.launch
+	ln -s maemo-invoker debian/build/usr/bin/maemo_af_desktop
+endif
+
+configure: configure-stamp
+
+configure-stamp:
+	dh_testdir
+	./autogen.sh
+	touch configure-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -98,7 +128,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package="maemo-af-desktop"
 	dh_compress
 	dh_fixperms
 #	dh_perl
@@ -106,7 +136,7 @@
 	dh_makeshlibs -V
 	dh_installdeb
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
 	dh_builddeb
