## maemo-af-desktop 2.9.99.7-1

=== debian/changelog ===
maemo-af-desktop (2.9.99.7-1) unstable; urgency=low

  * hildon-home/background-manager.c: Unref the pixmap after setting
  it as background _everywhere_

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  8 Nov 2006 18:23:21 +0200

maemo-af-desktop (2.9.99.6-1) unstable; urgency=low

  * hildon-home/background-manager.c: Unref the pixmap after setting
  it as background. Fixes: NB#46798

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  8 Nov 2006 17:18:42 +0200

maemo-af-desktop (2.9.99.5-1) unstable; urgency=low

  * hildon-navigator/hn-app-switcher.c: close the previous
  socket when we detect that esd was restarted. Fixes: NB#46338

  * hildon-home/background-manager.c: Make sure to remove
  the timeout updating the progress bar when the loading
  note is destroyed. Fixes: NB#46655

  * hildon-home/hildon-home-background-dialog.c: Also react to
  the _RESPONSE_DELETE_EVENT. Fixes: NB#42484 (comment 3)

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  7 Nov 2006 16:12:02 +0200

maemo-af-desktop (2.9.99.4-1) unstable; urgency=low

  * hildon-navigator/hildon-navigator-reset-menu.sh: Added backup
  restore script to reset the menu to the default layout
  when restoring from an old release. Fixes: NB#46468

  * hildon-navigator/hn-wm-watched-window.c: Add gdk_window_wrapper
  member used to keep the window on which the filter was set
  * hildon-navigator/hn-wm.c: Add StructureNotify to the event mask of each
  window, so GDK can remove the GdkWindow from the XID list when the window
  is gone. Fixes: NB#46255

  * hildon-status-bar/hildon-status-bar-item.c: Force the item
    buttons to be exacty 50px height. Fixes: NB#40907

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  6 Nov 2006 14:35:43 +0200

maemo-af-desktop (2.9.99.3-1) unstable; urgency=low

  * hildon-navigator/hn-app-switcher.c: Keep a pointer to the active
    menu item. Fixes: NB#46305

  Applied fix to "Glib CRITICAL errors from Task Navigator"
  Fixes: NB#41105
  * hildon-navigator/hn-app-switcher.c: Check we have a button
    before calling hn_app_button_force_update_icon().

  * hildon-navigator/hildon-navigator-item.c: Fixed small memory leak

  * hildon-navigator/hn-others-button.c: Initialize the menu after
    the first press. Fixes: NB#46240

  * hildon-navigator/hn-wm.c: Accept windows which have not set
    the WM_WINDOW_TYPE property, if they are not transient to anything
    (dialogs). Fixes: NB#46122

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  2 Nov 2006 15:14:37 +0200

maemo-af-desktop (2.9.99.2-1) unstable; urgency=low

  * hildon-navigator/hn-app-switcher.c: do not attach the AS menu
  to its button because the behavior of menu transient to DOCK
  windows is undefined

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 31 Oct 2006 17:31:35 +0200

maemo-af-desktop (2.9.99.1-1) unstable; urgency=low

  * hildon-home/hildon-home-window.c:
  background_manager_load_error_cb (): Check for the error domain
  as well as the error code.

  * hildon-home/home-applet-handler.c: Temporary make
  home applet settings dialogs system-modal. Fixes: NB#37594

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 31 Oct 2006 10:29:06 +0200

maemo-af-desktop (2.9.99-1) unstable; urgency=low

  Applied fix to "Desktop doesn't remember the background picture,
  if preview used". Fixes: NB#45673
  * hildon-home/background-manager.c: Also react to _RESPONSE_DELETE
  from the cancel note
  * hildon-home/hidon-home-background-dialog.c: Added
  {discard,apply}_preview flags

  * hildon-home/hildon-home-restore-background-always.sh:
  added backup restore script which removes the background
  cache always after a restore. Fixes: NB#45950

  * hildon-home/hildon-home-applet.[ch]: Moved close button and
    resize handle Pixbuf to be class variables. Fixes: NB#45325

  * hildon-status-bar/hildon-status-bar-main.c: Changed again the extension
  panel to DIALOG window and set transient for root window.

  * hildon-navigator/hn-app-switcher.c: Also update the menu
    after a change in the stack

  * hildon-status-bar/hildon-status-bar-main.c:
  - When removing a plugin re-arrange the panel from previous 
  plugin. Fixes: NB#43110

  * hildon-navigator/hildon-navigator-panel.c: Free the
  gtk_container_get_children's list.
  * hildon-status-bar/hildon-status-bar-main.c:
  - Free the library & category if we can't allocate the plugin.
  - (arrange_items) Code cleanup

  * hildon-status-bar/hildon-status-bar-main.c: Reverted
   behavior on event DBus signal when destroying plugin itself.

  * hildon-navigator/hn-app-switcher.c: Removed shutdown_ind DBus
    signal handler and widget signal
  * hildon-navigator/{hn-wm.c,hn-wm-memory.[ch]}: Removed
    hn_wm_shutdown callback
  Fixes: NB#43779

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 30 Oct 2006 16:05:58 +0200

maemo-af-desktop (2.9.98-2) unstable; urgency=low

  * Added dependency to maemo-launcher when in DEB_BUILD_OPTIONS
    Fixes: NB#45586 

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 27 Oct 2006 13:09:59 +0300

maemo-af-desktop (2.9.98-1) unstable; urgency=low

  * debian/conffiles: Do not declare the IT-2006 backup restoration
    as a configuration file as it is a symlink. Fixes: MB#810

  * hildon-home/background-manager.c: Remove the cache file
    before trying to build a new one, so we rebuild the cache
    when interupted

  * hildon-navigator/hn-app-menu-item.c: Make a copy of
    the pixbuf to avoid modifying the cached icon

  * hildon-navigator/hildon-navigator-window.c:
  * hildon-navigator/hildon-navigator-panel.[ch]:
  - Create the tasknavigator and defer the plugin loading

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 23 Oct 2006 19:04:13 +0300

maemo-af-desktop (2.9.97-1) unstable; urgency=low

  Applied fix to "Task Navigator re-loads (and re-composites?) all
    of its visible app switcher icons when new application is started
  * hn-app-item.c: Added cache for the icons pixbuf
  * hn-app-menu-item-c: Use this cache
  Fixes: NB#42971


