## maemo-af-desktop 2.9.99.19-1

=== debian/changelog ===
maemo-af-desktop (2.9.99.19-1) unstable; urgency=low

  * hildon-status-bar/hildon-status-bar-main.c: add a weak
  reference to the delayed banners' parent window so the
  banner can be removed when the parent window is destroyed

  * hildon-home/background-manager.c: Don't generate an alpha
  bitmask
  * hildon-home/hildon-home-area.c: Iterate the main loop between
  the load of each applet
  * hildon-home/hildon-home-main.c, maemo-af-desktop-main.c:
  Move loading of home applets after the load of statusbar applets
  Fixes: NB#43960

  * hildon-navigator/hn-others-button.c: unprotect spawned
  children from OOM kernel killing. Fixes: NB#49535

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 30 Jan 2007 11:20:42 +0200

maemo-af-desktop (2.9.99.18-1) unstable; urgency=low

  * hildon-home/background-manager.c:
  - removed unused pipe
  - properly close the other pipe.
  Fixes: NB#50838

  * hildon-status-bar/hildon-status-bar-main.c: Fixed previous
  changes
  Fixes: NB#50246

  * hildon-status-bar/hildon-status-bar-main.c: Added
  optional parent window id parameter to the show delayed
  info banner RPC call

  * hildon-navigator/hildon-navigator-panel.c:
  - Set default plugins if the .desktop file doesn't have 
    enough entries. Fixes: NB#50698.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 24 Jan 2007 18:36:31 +0200
