## maemo-af-desktop 2.9.99.23-1

=== debian/changelog ===
maemo-af-desktop (2.9.99.23-1) unstable; urgency=low

  * maemo-af-desktop.sh: Changed watchdog policy to restart.
  Fixes: NB#50401

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 13 Feb 2007 14:19:40 +0200

maemo-af-desktop (2.9.99.22-1) unstable; urgency=low

  * hildon-navigator/hn-others-button.c:
  - generate the menu after a timeout of 8 seconds.
  Fixes: NB#51108

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 13 Feb 2007 13:37:26 +0200

maemo-af-desktop (2.9.99.21-1) unstable; urgency=low

  * hildon-home/home-applet-handler.c: Do not log the deinit
  after all

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  8 Feb 2007 18:42:28 +0200

maemo-af-desktop (2.9.99.20-1) unstable; urgency=low

  * hildon-home/home-applet-handler.[ch]:
  - Add HildonLog class variable
  - log each initialize and deinitialize callback call
  - do not load an applet if it crashes on the last session
  in one of these callbacks.
  * hildon-home/hildon-home-window.c: Remove the log
  file once Home has loaded all its applets properly.
  Fixes: NB#51146

  * hildon-home/hildon-home-area.c,
  hildon-status-bar/hildon-status-bar-main.c:
  - reverted iteration of the main loop between the load of
  each applet

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  8 Feb 2007 10:49:19 +0200
