=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev (>= 0.12.2), pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, hildon-base-lib-dev (>= 0.9.3), shared-mime-info, hildon-fm-dev (>= 0.15), libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev
+Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev (>= 0.14.9), pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, hildon-base-lib-dev (>= 0.9.3), shared-mime-info, hildon-fm-dev (>= 0.15), libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev
 Standards-Version: 3.6.0
  
 Package: maemo-af-desktop
