=== debian/rules ===
--- 
+++ 
@@ -128,7 +128,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip --dbg-package="maemo-af-desktop"
+	dh_strip --dbg-package="maemo-af-desktop" --dbg-package="libhildonmenu0" --dbg-package="hildon-status-bar-lib0"
 	dh_compress
 	dh_fixperms
 #	dh_perl
