## maemo-af-desktop 3.0.0-1

=== debian/changelog ===
maemo-af-desktop (3.0.0-1) unstable; urgency=low

  * Transition package to hildon-desktop. maemo-af-desktop is dead. 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Mar 2007 15:44:06 +0200
