=== debian/control ===
Source: maemo-af-desktop
Section: x11
Priority: optional
Maintainer: Johan Bilien <johan.bilien@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0
 
Package: maemo-af-desktop
Section: x11
Architecture: any
Depends:  hildon-desktop
Conflicts: hildon-base, hildon-navigator, hildon-status-bar, hildon-home, home-image-loader
Replaces: hildon-base, hildon-navigator, hildon-status-bar, hildon-home, hildon-image-loader
Provides: hildon-navigator, hildon-status-bar, hildon-home, home-image-loader
Description: Transition package from maemo-af-desktop to hildon-desktop
